package com.fjhx.service.classify;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.BaseService;
import com.fjhx.entity.classify.Classify;
import com.fjhx.params.classify.ClassifyVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 分类 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-11-24
 */
public interface ClassifyService extends BaseService<Classify> {

    Page<Classify> getPage(Map<String, Object> condition);

    void add(ClassifyVo classifyVo);

    void edit(ClassifyVo classifyVo);

    void delete(ClassifyVo classifyVo);

    List<JSONObject> tree(ClassifyVo entity);
}
